import { api } from '@/services/api';
import { request } from '@umijs/max';

/**
 * 小程序用户列表
 */
export async function miniAppusers(params: any) {
  return request(api + `/bookDistributionPlatform/admin/wechatMiniappUser/listOfPage`, {
    method: 'GET',
    params,
  });
}

/**
 * 小程序用户书架列表
 */
export async function shelfLisOfPage(params: any) {
  return request(api + `/bookDistributionPlatform/admin/wechatMiniappUser/shelfLisOfPage`, {
    method: 'GET',
    params,
  });
}

/**
 * 小程序用户登录日志
 */
export async function loginListOfPage(params: any) {
  return request(api + `/bookDistributionPlatform/admin/wechatMiniappUser/loginListOfPage`, {
    method: 'GET',
    params,
  });
}
/**
 * 小程序用户状态
 */
export async function updateEnabled(params: any) {
  let {id,...param} = params
  return request(api + `/bookDistributionPlatform/admin/wechatMiniappUser/updateEnabled/${id}`, {
    method: 'PUT',
    params:param,
  });
}
