import { ProLayoutProps } from '@ant-design/pro-components';

/**
 * @name
 */
const Settings: ProLayoutProps & {
  pwa?: boolean;
  logo?: string;
} = {
  navTheme: 'light',
  // 拂晓蓝
  colorPrimary: '#3246ee',//#1890ff
  layout: 'side',//mix
  contentWidth: 'Fluid',
  fixedHeader: true,
  fixSiderbar: true,
  colorWeak: false,
  title: '星创AI',
  pwa: true,
  logo: 'https://gw.alipayobjects.com/zos/rmsportal/BiazfanxmamNRoxxVxka.png',
  iconfontUrl: '',
  // "splitMenus": true,
  // siderMenuType:"group",
  token: {
    sider: {
      colorMenuBackground: '#3246ee',//#3246ee , #001529
      colorTextMenu: '#f0f4ff',
      colorTextMenuSelected: "#fff",
      colorTextMenuActive: "#fff",
      colorBgMenuItemHover: '#b0c0ff',
      colorTextMenuItemHover: "#fff",
      colorBgMenuItemSelected: "#879bff",
      colorTextMenuTitle:"#fff"
    },
    header: {
      colorTextMenu: 'rgba(255,255,255,0.65)',
      colorTextMenuSelected: "#fff",
      colorTextMenuActive: "#fff",
      colorBgHeader: '#001529',
      colorHeaderTitle: "#fff"
    }
    // 参见ts声明，demo 见文档，通过token 修改样式
    //https://procomponents.ant.design/components/layout#%E9%80%9A%E8%BF%87-token-%E4%BF%AE%E6%94%B9%E6%A0%B7%E5%BC%8F
  },
  "splitMenus": false//关闭分割菜单
};

export default Settings;
