import { ProFormColumnsType } from '@ant-design/pro-components';

function formConfig(): ProFormColumnsType<{
  name: string;
  state: string;
}>[] {
  return [
    {
      title: '作者名称',
      dataIndex: 'authorName',
      formItemProps: {
        style: { marginBottom: 10 },
        rules: [
          {
            required: true,
            message: '此项为必填项',
          },
        ],
      },
    },
    {
      title: '手机号',
      dataIndex: 'authorPhone',
      formItemProps: {
        style: { marginBottom: 10 },
        rules: [
          {
            required: true,
            message: '此项为必填项',
          },
        ],
      },
    },
    {
      title: '邮箱',
      dataIndex: 'authorEmail',
      formItemProps: {
        style: { marginBottom: 10 },
      },
    },
    {
      //单本
      title: '描述',
      dataIndex: 'authorDesc',
      valueType: 'textarea',
    },
  ];
}

export default formConfig;
